import { languageStore } from "@shared";
import { observer } from "mobx-react-lite";

export const LanguageSwitcher = observer(() => {
  const { language, setLanguage } = languageStore;

  return (
    <div className="flex flex-col gap-2">
      <button
        className={`p-3 ${language === "ru" ? "bg-blue-500" : ""}`}
        onClick={() => setLanguage("ru")}
      >
        RU
      </button>
      <button
        className={`p-3 ${language === "en" ? "bg-blue-500" : ""}`}
        onClick={() => setLanguage("en")}
      >
        EN
      </button>
      <button
        className={`p-3 ${language === "zh" ? "bg-blue-500" : ""}`}
        onClick={() => setLanguage("zh")}
      >
        zh
      </button>
    </div>
  );
});
