import { TextField } from "@mui/material";
import { BackButton, TabPanel } from "@shared";
import { LanguageSwitcher } from "@widgets";

export const InformationTab = ({
  value,
  index,
}: {
  value: number;
  index: number;
}) => {
  return (
    <TabPanel value={value} index={index}>
      <div className="flex-1 flex flex-col relative">
        <div className="flex-1 flex flex-col gap-10">
          <BackButton />
          <div className="flex flex-col gap-5 w-1/2">
            <TextField label="Название" />
            <TextField label="Адрес" />
            <TextField label="Город" />
            <TextField label="Координаты" />

            <div className="flex justify-around w-full mt-20">
              <div className="flex flex-col gap-2 ">
                <p>Логотип</p>
                <button>Выбрать</button>
              </div>
              <div className="flex flex-col gap-2">
                <p>Водяной знак (л.в)</p>
                <button>Выбрать</button>
              </div>
              <div className="flex flex-col gap-2">
                <p>Водяной знак (п.в)</p>
                <button>Выбрать</button>
              </div>
            </div>
          </div>
        </div>
        <button className="bg-green-400 w-min ml-auto text-white py-2 rounded-2xl px-4">
          Сохранить
        </button>
        <div className="absolute top-1/2 -translate-y-1/2 right-0">
          <LanguageSwitcher />
        </div>
      </div>
    </TabPanel>
  );
};
